cURL
curl --request POST \ --url https://api.us.poly.ai/v1/agents/{agentId}/deployments/{deploymentId}/rollback \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "deploymentMessage": "" } '
{ "deployment": { "id": "<string>", "accountId": "<string>", "agentId": "<string>", "environment": "<string>", "artifactVersion": "<string>", "version": "<string>", "createdBy": "<string>", "createdAt": "<string>", "metadata": {} }, "testRunIds": [ "<string>" ] }
Metadata attached to a rollback action.
Message describing this rollback
Successful response
The resulting deployment from a promote / rollback / publish action, plus any test runs it triggered.
A deployment of an agent version to a specific environment, plus who created it and when.
Show child attributes
IDs of test runs triggered by this deployment action
Was this page helpful?